unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, FileFind, ExtCtrls;

type
  TForm1 = class(TForm)
    FileFind1: TFileFind;
    Edit1: TEdit;
    Edit2: TEdit;
    ListBox1: TListBox;
    Button1: TButton;
    Label1: TLabel;
    Button2: TButton;
    Timer1: TTimer;
    RecursiveCheckBox: TCheckBox;
    Label2: TLabel;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    MatchEnableCheckBox: TCheckBox;
    MatchCaseSensitiveCheckBox: TCheckBox;
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure FileFind1Terminated(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure RecursiveCheckBoxClick(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure MatchEnableCheckBoxClick(Sender: TObject);
    procedure MatchCaseSensitiveCheckBoxClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Edit1Change(Sender: TObject);
begin
  FileFind1.StartDir := Edit1.Text;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  FileFind1.FilePattern := Edit2.Text;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Button1.Enabled := False;
  Button2.Enabled := False;
  Timer1.Enabled := True;
  try
   FileFind1.ThreadExecute;
  except
   MessageDlg('Start Directory is not valid.',mtInformation,[mbOk],0);
  end;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  Label1.Caption := IntToStr(ListBox1.ItemIndex);
end;

procedure TForm1.FileFind1Terminated(Sender: TObject);
begin
  Timer1.Enabled := False;
  Label1.Caption := IntToStr(FileFind1.FilesFound.Count) + ' Fichier(s)';
  ListBox1.Items.Assign(FileFind1.FilesFound);
  Button1.Enabled := True;
  Button2.Enabled := True;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Timer1.Enabled := True;
  try
    FileFind1.execute;
  except
    MessageDlg('Start Directory is not valid.',mtInformation,[mbOk],0);
  end;
  ListBox1.Items.Assign(FileFind1.FilesFound);
  Timer1.Enabled := False;
  Label1.Caption := IntToStr(FileFind1.FilesFound.Count) + ' item(s) found.';
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Label1.Caption := IntToStr(FileFind1.FilesFound.Count) + ' item(s) found.';
end;

procedure TForm1.RecursiveCheckBoxClick(Sender: TObject);
begin
 FileFind1.Recursive := RecursiveCheckBox.checked;
end;

procedure TForm1.Edit3Change(Sender: TObject);
begin
  FileFind1.MatchString := Edit3.text;
end;

procedure TForm1.MatchEnableCheckBoxClick(Sender: TObject);
begin
  FileFind1.MatchEnabled := MatchEnableCheckBox.checked;
end;

procedure TForm1.MatchCaseSensitiveCheckBoxClick(Sender: TObject);
begin
 FileFind1.MatchCaseSensitive := MatchCaseSensitiveCheckBox.checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
RecursiveCheckBox.checked := FileFind1.Recursive;
MatchCaseSensitiveCheckBox.checked := FileFind1.MatchCaseSensitive;
MatchEnableCheckBox.checked := FileFind1.MatchEnabled;

end;

end.
